Skip to main content
POST
Event Handling Status Update

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

asset_id
string<uuid>
required
event_id
string
required

Query Parameters

asset_id_is_external
boolean
default:false

Body

application/json

Response for an asset event status update.

timestamp
string<date-time>
required

Timestamp for the response (UTC)

status
enum<string>
required

Outcome of the event handling

Available options:
RECEIVED,
ACCEPTED,
REJECTED,
INSTALLED,
FAILED,
CANCELLED,
EXECUTED
Example:

"EXECUTED"

reason
enum<string>

Why the event was FAILED or CANCELLED

Available options:
charging_need_met,
installation_failed,
replaced,
schedule_changed

Response

Status update successfully recorded